org.tmatesoft.svn.core.wc

## Class SVNCopyTask

- java.lang.Object
- - org.tmatesoft.svn.core.wc.SVNCopyTask

-     public class SVNCopyTask
      extends java.lang.Object

  SVNCopyTask is used in the extended merge mechanism to provide information about the copy source.
  Since:
    1.3
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SVNCopyTask` | `create(SVNCopySource copySource, boolean isMove)` Creates a new `SVNCopyTask`.
    `SVNCopySource` | `getCopySource()` Returns the copy source informtaion.
    `java.io.File` | `getCopyTarget()` Returns the copy target.
    `boolean` | `isMove()` Tells whether this copy task is a move or a copy task.
    `void` | `setCopyTarget(java.io.File copyTarget)` Sets the copy target.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static SVNCopyTask create(SVNCopySource copySource,
                           boolean isMove)

      Creates a new `SVNCopyTask`.
      Parameters:
        `copySource` - copy source
        `isMove` - whether it's a move operation or simply a copy
      Returns:
        new `SVNCopyTask` object
      Since:
        1.3

    - #### getCopySource

          public SVNCopySource getCopySource()

      Returns the copy source informtaion.
      Returns:
        copy source
      Since:
        1.3

    - #### isMove

          public boolean isMove()

      Tells whether this copy task is a move or a copy task.
      Returns:
        true if is a move; otherwise false
      Since:
        1.3

    - #### getCopyTarget

          public java.io.File getCopyTarget()

      Returns the copy target.
      Returns:
        copy target
      Since:
        1.3

    - #### setCopyTarget

          public void setCopyTarget(java.io.File copyTarget)

      Sets the copy target.
      Parameters:
        `copyTarget` - copy target
      Since:
        1.3

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.